/**
 * In this file, we create a React component
 * which incorporates components provided by Material-UI.
 */
import * as React from 'react';
import RaisedButton from 'material-ui/RaisedButton';
import Dialog from 'material-ui/Dialog';
import { deepOrange500 } from 'material-ui/styles/colors';
import FlatButton from 'material-ui/FlatButton';
import getMuiTheme from 'material-ui/styles/getMuiTheme';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';

import * as ReactDOM from 'react-dom';

import Divider from 'material-ui/Divider';
import Paper from 'material-ui/Paper';
import TextField from 'material-ui/TextField';

import SelectField from 'material-ui/SelectField';
import MenuItem from 'material-ui/MenuItem';

import Slider from 'material-ui/Slider';

import * as http from "http"




const styles = {
  body: {
    textAlign: 'center',
  },
  container: {
    textAlign: 'center',

  },

  textfield: {
    width: 300,
    marginLeft: 3
  },

  customWidth: {
    width: 150,
  },
  button: {
    margin: 12,
  }
};

const muiTheme = getMuiTheme({
  palette: {
    accent1Color: deepOrange500,
  },
});

export class MemberLogin extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);

    this.handleSignUp = this.handleSignUp.bind(this);

    this.state = {
      open: false,
      value: 1,
     
      email: "",
      pw: "",
    };
  }

  handleChange = () => this.setState({});

  private emailInput: any;

  handleRequestClose = () => {
    this.setState({
      open: false,
    });
  }

  handleTouchTap = () => {
    this.setState({
      open: true,
    });
  }

  handleSignUp = () => {

    let output: string;
    let obj: any; //new object declaration
    obj = {
      "email": this.state.email,
      "pwSalt": this.state.pw,
    };

    let exeObj: any;
    exeObj = {
      "serviceName": "Member",
      "methodName": "Login",
      "param": obj
    }


    output = JSON.stringify(exeObj);

    // obj = { "value": output };

    fetch('http://192.168.1.203:8080/v1/overflow/services', {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        // mode: 'no-cors'
      },
      body: output
    }).then(function (response) {
      return response.json();
    }).then(function (json) {
      console.log(json);
    
    }).catch((err) => {
      console.log(err);
    });





  }



btnTouchTap = () => {
  alert(event)
};

render() {

  return (
    <MuiThemeProvider muiTheme={muiTheme}>

      <div style={styles.container}>
        <h1>Log in with a overflow Account:</h1>
              <br />
        <TextField
          ref="email"
          hintText="smith@gmail.com"
          floatingLabelText="Email address*"
          errorText=""
          style={styles.textfield}
          underlineShow={true}
          value={this.state.email}
          onChange={(e, newValue) => this.setState({ email: newValue })}
        />
      
        <br />

        <TextField
          hintText="Password"
          floatingLabelText="Password"
          type="password"
          style={styles.textfield}
          value={this.state.pw}
          onChange={(e, newValue) => this.setState({ pw: newValue })}
        />
        <br />


        <RaisedButton label="Sign In" primary={true} style={styles.button} onClick={this.handleSignUp.bind(this)} />
       
      </div>

    </MuiThemeProvider>
  );
}
}

